'use strict';var Artemis=function(selector){if(typeof selector=="string"){this.collection=document.querySelectorAll(selector);this.length=this.collection.length}else if(typeof selector=="object"){if(selector.length>=1)this.collection=selector;else this.collection=[selector];this.length=this.collection.length}else return null};Artemis.prototype.hide=function(){for(var i=0;i<this.collection.length;i++)this.collection[i].style.display="none"};
Artemis.prototype.show=function(){for(var i=0;i<this.collection.length;i++)this.collection[i].style.display="block"};Artemis.prototype.addClass=function(newClass){for(var i=0;i<this.collection.length;i++)this.collection[i].classList.add(newClass)};Artemis.prototype.removeClass=function(oldClass){if(oldClass)for(var i=0;i<this.collection.length;i++)this.collection[i].classList.remove(oldClass);else for(var i$0=0;i$0<this.collection.length;i$0++)while(this.collection[i$0].classList.length>0)this.collection[i$0].classList.remove(this.collection[i$0].classList.item(0))};
Artemis.prototype.toggleClass=function(classes){classes=classes.split(" ");for(var i=0;i<this.collection.length;i++)for(var j=0;j<classes.length;j++)this.collection[i].classList.toggle(classes[j])};Artemis.prototype.hasClass=function(classToCheck){if(this.collection[0])for(var j=0;j<this.collection[0].classList.length;j++)if(this.collection[0].classList[j]==classToCheck)return true;return false};
Artemis.prototype.value=function(value){if(this.length>0)if(typeof value==="undefined")return this.collection[0].value;else this.collection[0].value=value};Artemis.prototype.focus=function(){if(this.length>0)this.collection[0].focus()};Artemis.prototype.click=function(callback){for(var i=0;i<this.collection.length;i++)this.collection[i].addEventListener("click",callback,false)};
Artemis.prototype.keyup=function(callback){for(var i=0;i<this.collection.length;i++)this.collection[i].addEventListener("keyup",callback,false)};Artemis.prototype.keydown=function(callback){for(var i=0;i<this.collection.length;i++)this.collection[i].addEventListener("keydown",callback,false)};Artemis.prototype.submit=function(callback){for(var i=0;i<this.collection.length;i++)this.collection[i].addEventListener("submit",callback,false)};
Artemis.prototype.change=function(callback){for(var i=0;i<this.collection.length;i++)this.collection[i].addEventListener("change",callback,false)};Artemis.prototype.scroll=function(callback){for(var i=0;i<this.collection.length;i++)this.collection[i].addEventListener("scroll",callback,false)};
Artemis.prototype.on=function(event,callback,target){event=event.split(" ");for(var i=0;i<this.collection.length;i++)for(var j=0;j<event.length;j++)if(typeof callback==="string"&&typeof target!=="undefined")this.collection[i].addEventListener(event[j],function(e){if(e.target&&$_(e.target).matches(callback))target.call(e.target,e)},false);else this.collection[i].addEventListener(event[j],callback,false)};Artemis.prototype.filter=function(element){if(this.length>0)return new Artemis(this.collection[0].querySelector(element))};
Artemis.prototype.data=function(name,value){if(this.length>0)if(typeof value==="undefined")return this.collection[0].dataset[name];else this.collection[0].dataset[name]=value};Artemis.prototype.text=function(value){if(this.length>0)if(typeof value==="undefined")return this.collection[0].textContent;else this.collection[0].textContent=value};Artemis.prototype.html=function(value){if(this.length>0)if(typeof value==="undefined")return this.collection[0].innerHTML;else this.collection[0].innerHTML=value};
Artemis.prototype.append=function(data){if(this.length>0){var div=document.createElement("div");div.innerHTML=data;this.collection[0].appendChild(div.firstChild)}};Artemis.prototype.prepend=function(data){if(this.length>0){var div=document.createElement("div");div.innerHTML=data;if(this.collection[0].childNodes.length>0)this.collection[0].insertBefore(div.firstChild,this.collection[0].childNodes[0]);else this.collection[0].appendChild(div.firstChild)}};
Artemis.prototype.each=function(callback){for(var i=0;i<this.collection.length;i++)callback(this.collection[i])};Artemis.prototype.get=function(index){return this.collection[index]};Artemis.prototype.first=function(){if(this.length>0)return new Artemis(this.collection[0])};Artemis.prototype.isVisible=function(){for(var i=0;i<this.collection.length;i++)if(this.collection[i].display!="none"&&this.collection[i].offsetWidth>0&&this.collection[i].offsetHeight>0)return true;return false};
Artemis.prototype.parent=function(){if(this.collection[0])return new Artemis(this.collection[0].parentElement)};Artemis.prototype.find=function(selector){if(this.collection[0])return new Artemis(this.collection[0].querySelectorAll(selector))};Artemis.prototype.offset=function(){if(this.collection[0]){var rect=this.collection[0].getBoundingClientRect();var offset={top:rect.top+document.body.scrollTop,left:rect.left+document.body.scrollLeft};return offset}};
Artemis.prototype.closest=function(searchSelector){var element=this.find(searchSelector);while(typeof element.get(0)=="undefined"&&typeof this.parent().get(0)!="undefined")element=this.parent().find(searchSelector);return element};Artemis.prototype.attribute=function(attribute,value){if(this.collection[0])if(typeof value==="undefined")this.collection[0].getAttribute(attribute);else return this.collection[0].setAttribute(attribute,value)};
Artemis.prototype.after=function(content){for(var i=0;i<this.collection.length;i++)this.collection[i].insertAdjacentHTML("afterend",content)};Artemis.prototype.before=function(content){for(var i=0;i<this.collection.length;i++)this.collection[i].insertAdjacentHTML("beforebegin",content)};
Artemis.prototype.style=function(properties,value){for(var i=0;i<this.collection.length;i++)if(typeof properties==="string"&&value!=="undefined")this.collection[i].style[properties]=value;else if(typeof properties==="string"&&value==="undefined")return this.collection[i].style[properties];else if(typeof properties==="object")for(var property in properties)this.collection[i].style[property]=properties[property]};
Artemis.prototype.animate=function(style,time){var $jscomp$loop$2={i:undefined};$jscomp$loop$2.i=0;for(;$jscomp$loop$2.i<this.collection.length;$jscomp$loop$2={i:$jscomp$loop$2.i},$jscomp$loop$2.i++)for(var property in style){var start=(new Date).getTime();var collection=this.collection;var timer;var initialValue;if(typeof this.collection[$jscomp$loop$2.i].style[property]!=="undefined"){initialValue=this.collection[$jscomp$loop$2.i].style[property];timer=setInterval(function($jscomp$loop$2){return function(){var step=
Math.min(1,((new Date).getTime()-start)/time);collection[$jscomp$loop$2.i].style[property]=initialValue+step*(style[property]-initialValue);if(step==1)clearInterval(timer)}}($jscomp$loop$2),25);this.collection[$jscomp$loop$2.i].style[property]=initialValue}else if(typeof this.collection[$jscomp$loop$2.i][property]!=="undefined"){initialValue=this.collection[$jscomp$loop$2.i][property];timer=setInterval(function($jscomp$loop$2){return function(){var step=Math.min(1,((new Date).getTime()-start)/time);
collection[$jscomp$loop$2.i][property]=initialValue+step*(style[property]-initialValue);if(step==1)clearInterval(timer)}}($jscomp$loop$2),25);this.collection[$jscomp$loop$2.i][property]=initialValue}}};
Artemis.prototype.fadeIn=function(time,callback){time=time===undefined?400:time;if(this.collection[0]){var element=this.collection[0];element.style.opacity=0;var last=+new Date;var tick=function(){element.style.opacity=+element.style.opacity+(new Date-last)/time;last=+new Date;if(+element.style.opacity<1)window.requestAnimationFrame&&requestAnimationFrame(tick)||setTimeout(tick,16);else if(typeof callback==="function")callback()};tick()}};
Artemis.prototype.fadeOut=function(time,callback){time=time===undefined?400:time;if(this.collection[0]){var last=+new Date;var element=this.collection[0];var tick=function(){element.style.opacity=+element.style.opacity-(new Date-last)/time;last=+new Date;if(+element.style.opacity>0)window.requestAnimationFrame&&requestAnimationFrame(tick)||setTimeout(tick,16);else if(typeof callback==="function")callback()};tick()}};
Artemis.prototype.matches=function(selector){var check=Element.prototype;var polyfill=check.matches||check.webkitMatchesSelector||check.mozMatchesSelector||check.msMatchesSelector||function(){return[].indexOf.call(document.querySelectorAll(selector),this)!==-1};return polyfill.call(this.collection[0],selector)};Artemis.prototype.remove=function(){for(var i=0;i<this.collection.length;i++)this.collection[i].parentNode.removeChild(this.collection[i])};
Artemis.prototype.replaceWith=function(data){var div=document.createElement("div");div.innerHTML=data;this.collection[0].parentElement.replaceChild(div,this.collection[0])};Artemis.prototype.reset=function(){if(this.length>0)this.collection[0].reset()};Artemis.prototype.property=function(property,value){if(this.collection[0])if(typeof value!=="undefined")this.collection[0][property]=value;else return this.collection[0][property]};
function $_(selector){if(typeof selector!="undefined")return new Artemis(selector);else return Artemis}function $_ready(callback){window.addEventListener("load",callback)}var Form=function(){};Form.fill=function(name,data){for(var field in data){var element=$_('form[data-form="'+name+'"] [name="'+field+'"]').get(0);if(typeof element!="undefined")switch(element.type){case "file":case "file[]":break;default:element.value=data[field];break}}};
Form.values=function(name){var data={};$_('form[data-form="'+name+'"] [name]').each(function(element){var value;switch(element.type){case "file[]":value=element.files;break;case "file":value=element.files[0];break;default:value=element.value;break}if(typeof value!="undefined"&&value!==null)data[element.name]=value});return data};var Request=function(){};
Request.get=function(url,data,responseType){responseType=responseType===undefined?"":responseType;return new Promise(function(resolve,reject){var encodedData=[];for(var value in data)encodedData.push(encodeURIComponent(value)+"="+encodeURIComponent(data[value]));var request=new XMLHttpRequest;if(encodedData.length>0)url=url+"?"+encodedData.join("&");request.open("GET",url,true);request.responseType=responseType;request.onload=function(){resolve(request.response)};request.onerror=function(){reject(request)};
request.send()})};
Request.post=function(url,data,responseType,contentType){responseType=responseType===undefined?"":responseType;contentType=contentType===undefined?"application/x-www-form-urlencoded":contentType;return new Promise(function(resolve,reject){var formData;var request=new XMLHttpRequest;request.open("POST",url,true);if(contentType=="application/x-www-form-urlencoded"){formData=[];for(var value in data)formData.push(encodeURIComponent(value)+"="+encodeURIComponent(data[value]));formData=formData.join("&");
request.setRequestHeader("Content-type",contentType)}else if(contentType=="multipart/form-data"){formData=new FormData;for(var value in data)formData.append(value,data[value])}request.responseType=responseType;request.onload=function(){resolve(request.response)};request.onerror=function(){reject(request)};request.send(formData)})};
Request.json=function(url){return new Promise(function(resolve,reject){var request=new XMLHttpRequest;request.responseType="json";request.onload=function(){resolve(request.response)};request.onerror=function(){reject(request)};request.open("GET",url,true);request.send()})};var Screen=function(){};Screen.isRetina=function(){return window.devicePixelRatio>=2};Screen.isPortrait=function(){return window.innerHeight>window.innerWidth};
Screen.isLandscape=function(){return window.orientation===90||window.orientation===-90};Screen.getOrientation=function(){return this.isPortrait?"Portrait":"Landscape"};Screen.getMaximumWidth=function(){return window.screen.availWidth};Screen.getMaximumHeight=function(){return window.screen.availHeight};var Storage=function(){};Storage.get=function(key){if(window.localStorage)return localStorage.getItem(key);else console.warn("Your browser does not support Local Storage")};
Storage.set=function(key,value){if(window.localStorage)localStorage.setItem(key,value);else console.warn("Your browser does not support Local Storage")};Storage.remove=function(key){if(window.localStorage)localStorage.removeItem(key);else console.warn("Your browser does not support Local Storage")};Storage.clear=function(){if(window.localStorage)localStorage.clear();else console.warn("Your browser does not support Local Storage")};var Text=function(){};
Text.capitalize=function(text){return text.replace(/\w\S*/g,function(txt){return txt.charAt(0).toUpperCase()+txt.substr(1).toLowerCase()})};Text.getSuffix=function(text,key){var suffix="";var position=text.indexOf(key);if(position!=-1){position+=key.length;suffix=text.substr(position,text.length-position)}return suffix};Text.getPrefix=function(text,key){var prefix="";var position=text.indexOf(key);if(position!=-1)prefix=text.substr(0,position);return prefix};Text.getSelection=function(){return window.getSelection().toString()};
Text.buildText=function(array,wrapper){var result="";if(array[0]){for(var i in array)result+=Text.buildText(array[i],wrapper);return result}else{var string=wrapper;for(var i$1 in array)string=string.replace(new RegExp("@"+i$1,"g"),array[i$1]);return string}};
Text.removeSpecialCharacters=function(text){var special=Array("#",":","\u00f1","\u00ed","\u00f3","\u00fa","\u00e1","\u00e9","\u00cd","\u00d3","\u00da","\u00c1","\u00c9","(",")","\u00a1","\u00bf","/");var common=Array("","","n","i","o","u","a","e","I","O","U","A","E","","","","","");for(var character in special)text=text.replace(new RegExp(special[character],"g"),common[character]);return text};
Text.removePunctuation=function(text){var special=new Array(";",",",".",":");for(var character in special)text=text.replace(new RegExp(special[character],"g"),"");return text};
Text.toFriendlyUrl=function(text){var expressions={"[\u00e1\u00e0\u00e2\u00e3\u00aa\u00e4]":"a","[\u00c1\u00c0\u00c2\u00c3\u00c4]":"A","[\u00cd\u00cc\u00ce\u00cf]":"I","[\u00ed\u00ec\u00ee\u00ef]":"i","[\u00e9\u00e8\u00ea\u00eb]":"e","[\u00c9\u00c8\u00ca\u00cb]":"E","[\u00f3\u00f2\u00f4\u00f5\u00ba\u00f6]":"o","[\u00d3\u00d2\u00d4\u00d5\u00d6]":"O","[\u00fa\u00f9\u00fb\u00fc]":"u","[\u00da\u00d9\u00db\u00dc]":"U","\u00e7":"c","\u00c7":"C","\u00f1":"n","\u00d1":"N","_":"-","[\u2019\u2018\u2039\u203a<>']":"",
'[\u201c\u201d\u00ab\u00bb\u201e"]':"","[(){}[]]":"","[?\u00bf!\u00a1#$%&^*\u00b4`~/\u00b0|]":"","[,.:;]":""," ":"-"};for(var regex in expressions)text=text.replace(new RegExp(regex,"g"),expressions[regex]);return text};Text.toUrl=function(text){return encodeURI(text)};
